Skip to main content
GET
Get Person Merge

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mergeId
integer<int64>
required

Person merge ID

Required range: 1 <= x <= 9007199254740991
Example:

12345

Response

OK

Entity representing the state of an individual person merge

id
integer<int64>
required

The unique identifier for the merge

Required range: 1 <= x <= 9007199254740991
Example:

12345

status
enum<string>
required

Current status of the merge

Available options:
in-progress,
success,
failed
Example:

"success"

taskId
string<uuid>
required

Identifier for the task this merge belongs to

Example:

"789e0123-e45b-67c8-d901-234567890123"

startedAt
string<date-time>
required

Timestamp when the merge started

Example:

"2025-06-03T10:30:00Z"

primaryPersonId
integer<int64>
required

ID of the primary person that other profiles were merged into

Required range: 1 <= x <= 9007199254740991
Example:

12345

duplicatePersonId
integer<int64>
required

ID of the duplicate person that was merged into the primary person

Required range: 1 <= x <= 9007199254740991
Example:

67890

completedAt
string<date-time> | null
required

Timestamp when the merge completed (success or failure)

Example:

"2025-06-03T10:32:15Z"

errorMessage
string | null
required

Error message if the merge failed

Example:

"Primary person not found"